[Libreoffice-commits] .: 10 commits - bin/lo-pack-sources

Jan Holesovsky kendy at kemper.freedesktop.org
Mon Jun 6 05:18:27 PDT 2011


 bin/lo-pack-sources |    4 ++++
 1 file changed, 4 insertions(+)

New commits:
commit 97fbd2ede4ef77fc93884468bd715e40e931dfe1
Merge: 8c07147... 8935d31...
Author: Jan Holesovsky <kendy at suse.cz>
Date:   Mon Jun 6 14:18:10 2011 +0200

    Merge remote-tracking branch 'origin/libreoffice-3-4'
    
    Conflicts:
    	solenv/inc/productversion.mk

commit 8935d31fcdcde28d489af4392f7385433b634674
Author: Petr Mladek <pmladek at suse.cz>
Date:   Fri Jun 3 21:48:49 2011 +0200

    Revert "Reverting one Oxygenoffice change until _KAMI_ makes it work"
    
    This reverts commit 77eb7f58d973eeb397dac0702646fc811894851c.
    
    The original build problems were fixed in libs-core/sysui.
    
    Signed-off-by: pmladek at suse.cz

diff --git a/solenv/inc/productversion.mk b/solenv/inc/productversion.mk
index 002c63a..948d0c0 100644
--- a/solenv/inc/productversion.mk
+++ b/solenv/inc/productversion.mk
@@ -25,7 +25,7 @@
 #
 #*************************************************************************
 
-PRODUCTLIST = libreoffice broffice
+PRODUCTLIST = libreoffice broffice oxygenoffice
 
 # default values to minimize maintainance effort
 PRODUCTVERSION = 3.4
commit 2ffe980335338b181f5c9165764ce673b0631e43
Author: Robert Nagy <robert at openbsd.org>
Date:   Sun Jun 5 12:15:41 2011 +0200

    set gb_COMPILEROPTFLAGS in the correct place for cxx generated objects

diff --git a/solenv/gbuild/LinkTarget.mk b/solenv/gbuild/LinkTarget.mk
index b71a05d..fe39548 100644
--- a/solenv/gbuild/LinkTarget.mk
+++ b/solenv/gbuild/LinkTarget.mk
@@ -569,7 +569,7 @@ $(call gb_LinkTarget_get_clean_target,$(1)) : GENCXXOBJECTS += $(2)
 
 $(call gb_LinkTarget_get_target,$(1)) : $(call gb_GenCxxObject_get_target,$(2))
 $(call gb_GenCxxObject_get_source,$(2)) : | $(call gb_LinkTarget_get_headers_target,$(1))
-$(call gb_GenCxxObject_get_target,$(2)) : CXXFLAGS += $(3) $(gb_COMPILEROPTFLAGS)
+$(call gb_GenCxxObject_get_target,$(2)) : CXXFLAGS += $(3)
 
 ifeq ($(gb_FULLDEPS),$(true))
 $(call gb_LinkTarget_get_dep_target,$(1)) : GENCXXOBJECTS += $(2)
@@ -629,7 +629,7 @@ $(foreach obj,$(2),$(call gb_LinkTarget_add_exception_object,$(1),$(obj)))
 endef
 
 define gb_LinkTarget_add_generated_exception_object
-$(call gb_LinkTarget_add_generated_cxx_object,$(1),$(2),$(gb_LinkTarget_EXCEPTIONFLAGS))
+$(call gb_LinkTarget_add_generated_cxx_object,$(1),$(2),$(gb_LinkTarget_EXCEPTIONFLAGS) $(gb_COMPILEROPTFLAGS))
 endef
 
 define gb_LinkTarget_add_generated_exception_objects
commit f9b01ef92020c9d17c177303c059abd6971e84c5
Author: Petr Mladek <pmladek at suse.cz>
Date:   Mon May 30 17:08:26 2011 +0200

    lo-commit-stat: add --log-dir option
    
    allow to generate the log into another directory

diff --git a/bin/lo-commit-stat b/bin/lo-commit-stat
index 8c53ec9..a18a4b8 100755
--- a/bin/lo-commit-stat
+++ b/bin/lo-commit-stat
@@ -195,11 +195,12 @@ sub get_branch_name($)
     return $branch;
 }
 
-sub open_log_file($$$$)
+sub open_log_file($$$$$)
 {
-    my ($log_prefix, $log_suffix, $top_dir, $branch_name) = @_;
+    my ($log_dir, $log_prefix, $log_suffix, $top_dir, $branch_name) = @_;
 
     my $logfilename = "$log_prefix-$branch_name-$log_suffix.log";
+    $logfilename = "$log_dir/$logfilename" if (defined $log_dir);
 
     if (-f $logfilename) {
         print "WARNING: The log file already exists: $logfilename\n";
@@ -308,12 +309,13 @@ sub usage()
 {
     print "This script generates LO git commit summary\n\n" .
           
-          "Usage: lo-commit-stat [--help] [--no-pieces] [--piece=<piece>] --log-suffix=<string> topdir [git_arg...]\n\n" .
+          "Usage: lo-commit-stat [--help] [--no-pieces] [--piece=<piece>] --log-dir=<dir> --log-suffix=<string> topdir [git_arg...]\n\n" .
 
           "Options:\n" .
           "     --help          print this help\n" .
           "     --no-pieces     read changes just from the main repository, ignore other cloned repos\n" .
           "     --piece=<piece> summarize just changes from the given piece\n" .
+          "     --log-dir=<dir> directory where to put the generated log\n" .
           "     --log-suffix=<string> suffix of the log file name; the result will be\n" .
           "                     commit-log-<branch>-<log-name-suffix>.log; the branch name\n" .
           "                     is detected automatically\n" .
@@ -341,6 +343,7 @@ sub usage()
 my $piece;
 my $top_dir;
 my $log_prefix = "commit-log";
+my $log_dir;
 my $log_suffix;
 my $log;
 my $git_command = "git log";
@@ -360,6 +363,8 @@ foreach my $arg (@ARGV) {
 	$piece = $1;
     } elsif ($arg =~ m/--log-suffix=(.*)/) {
 	$log_suffix = "$1";
+    } elsif ($arg =~ m/--log-dir=(.*)/) {
+	$log_dir = "$1";
     } elsif ($arg eq '--bugs') {
         $print_filters{'bug'} = 1;
         $log_prefix = "bugfixes"
@@ -384,12 +389,14 @@ $git_command .= " " . join ' ', @git_args if (@git_args);
 (-d "$top_dir") || die "Error: not a directory: $top_dir\n";
 (-f "$top_dir/.git/config") || die "Error: can't find $top_dir/.git/config\n";
 
+(!defined $log_dir) || (-d $log_dir) || die "Error: directory does no exist: $log_dir\n";
+
 (defined $log_suffix) || die "Error: define log suffix using --log-suffix=<string>\n";
 
 $branch_name = get_branch_name($top_dir);
 
 load_data(\%data, $top_dir, $piece, $branch_name, $git_command);
 
-$log = open_log_file($log_prefix, $log_suffix, $top_dir, $branch_name);
+$log = open_log_file($log_dir, $log_prefix, $log_suffix, $top_dir, $branch_name);
 print_stat(\%data, \%print_filters, $print_mode, $log);
 close $log;
commit 6fe966b43e9bc9f2023443fcba4a2d579e5d099f
Author: Petr Mladek <pmladek at suse.cz>
Date:   Wed May 25 15:43:39 2011 +0200

    lo-pack-sources: do not pack fetched stuff into the source tarball

diff --git a/bin/lo-pack-sources b/bin/lo-pack-sources
index 26ac6c1..75181fa 100755
--- a/bin/lo-pack-sources
+++ b/bin/lo-pack-sources
@@ -144,6 +144,10 @@ sub generate_lo_piece_blacklist($)
     print BLACKLIST "config.parms\n";
     print BLACKLIST "git-hooks\n";
     print BLACKLIST "Linux*Env.Set.sh\n";
+    print BLACKLIST "src/tmp*\n";
+    print BLACKLIST "src/fetch.log\n";
+    print BLACKLIST "src/libreoffice-*.tar.bz2\n";
+    print BLACKLIST "src/????????????????????????????????-*\n";
     print BLACKLIST "warn\n";
 
     close BLACKLIST;
commit be21c9c7ae338ccd42e35d625c3231a868e44999
Author: Andras Timar <atimar at suse.com>
Date:   Mon May 23 19:49:46 2011 +0200

    don't forget en-US when dev-installing ALL languages
    
    Signed-off-by: Fridrich Å trba <fridrich.strba at bluewin.ch>

diff --git a/solenv/bin/ooinstall b/solenv/bin/ooinstall
index ee77975..115a5f9 100755
--- a/solenv/bin/ooinstall
+++ b/solenv/bin/ooinstall
@@ -73,6 +73,7 @@ if ($langs eq 'ALL') {
     @larr = readdir(DIR);
     @larr = grep { $_ ne '.' } @larr;
     @larr = grep { $_ ne '..' } @larr;
+    @larr = (@larr,"en-US");
     closedir(DIR);
 }
 else {
commit f73330ec57f65e64a4fe700449f7b7c0b03d1ee6
Author: Andras Timar <atimar at suse.com>
Date:   Mon May 16 12:28:28 2011 +0200

    handle --with-lang=ALL case
    
    Signed-off-by: Fridrich Å trba <fridrich.strba at bluewin.ch>

diff --git a/solenv/bin/ooinstall b/solenv/bin/ooinstall
index 89aea81..ee77975 100755
--- a/solenv/bin/ooinstall
+++ b/solenv/bin/ooinstall
@@ -65,9 +65,19 @@ $ENV{LOCAL_COMMON_OUT} = $ENV{OUT};
 # the installer to use the English localization of the file instead.
 $ENV{DEFAULT_TO_ENGLISH_FOR_PACKING} = 1;
 
+my @larr;
 $langs=$ENV{WITH_LANG};
 $langs='en-US' if $langs eq '';
-my @larr = grep { $_ ne '' } split(/ /, $langs);
+if ($langs eq 'ALL') {
+    opendir(DIR,$ENV{L10N_MODULE} . "/source");
+    @larr = readdir(DIR);
+    @larr = grep { $_ ne '.' } @larr;
+    @larr = grep { $_ ne '..' } @larr;
+    closedir(DIR);
+}
+else {
+    @larr = grep { $_ ne '' } split(/ /, $langs);
+}
 $langs = join (",", @larr);
 
 $destdir='';
commit 4e829b113190777fd9170afb22ea036026f16034
Author: Bjoern Michaelsen <bjoern.michaelsen at canonical.com>
Date:   Wed May 4 01:55:36 2011 +0200

    always request an unversioned lib from gcc in gccinstlib.pl
    
    * this otherwise breaks on ubuntu natty as there is (rightfully) no libgcc_s.so.1 file served by gcc -print-file-name

diff --git a/solenv/bin/gccinstlib.pl b/solenv/bin/gccinstlib.pl
index 8ce9753..d8eda1c 100755
--- a/solenv/bin/gccinstlib.pl
+++ b/solenv/bin/gccinstlib.pl
@@ -38,19 +38,23 @@ if ($Dest =~ /--help/ || @ARGV < 1) {
     print "Syntax:\n  gcc-instlib <library-in-libpath ...> <destination-dir>\n";
     exit (0);
 }
+
+%SrcAndDest = ();
+
 foreach $File (@ARGV) {
     my $string;
-
-    open (GCCOut, "LANGUAGE=C LC_ALL=C $cc -print-file-name=$File|") || die "Failed to exec $cc -print-file-name=$File $!";
+    my $normalized_file = $File;
+    $normalized_file =~ s/\.so\.\d+/.so/;
+    open (GCCOut, "LANGUAGE=C LC_ALL=C $cc -print-file-name=$normalized_file|") || die "Failed to exec $cc -print-file-name=$normalized_file $!";
     $string=<GCCOut>;
     chomp ($string);
-    push (@CopySrc, $string);
+    $SrcAndDest{$string} = "$Dest/$File";
     close (GCCOut);
 }
 
-foreach $Src (@CopySrc) {
-    printf "copy $Src to $Dest\n";
-    system ("/bin/cp $Src $Dest") && die "copy failed: $!";
+while (($Src, $FullDest) = each %SrcAndDest) {
+    printf "copy $Src to $FullDest\n";
+    system ("/bin/cp $Src $FullDest") && die "copy failed: $!";
 }
 
 
commit 7e385ab56b7cd78df93f27f6478ec17ccedd7e28
Author: Robert Nagy <robert at openbsd.org>
Date:   Mon May 23 09:23:54 2011 +0200

    fix ant home

diff --git a/distro-configs/LibreOfficeOpenBSD.conf b/distro-configs/LibreOfficeOpenBSD.conf
index db5f33e..6e28d69 100644
--- a/distro-configs/LibreOfficeOpenBSD.conf
+++ b/distro-configs/LibreOfficeOpenBSD.conf
@@ -21,9 +21,10 @@
 --enable-ext-report-builder
 --enable-ext-wiki-publisher
 --with-alloc=system
---with-ant-home=/usr/local/ant/lib
+--with-ant-home=/usr/local/ant
 --with-extension-integration
 --with-fonts
+--with-java
 --with-java-target-version=1.5
 --with-jdk-home=/usr/local/jdk-1.5.0
 --with-myspell-dicts
commit 80b16e22544e547bde880f199c8347243a14e8c9
Author: Robert Nagy <robert at openbsd.org>
Date:   Mon May 23 09:24:04 2011 +0200

    use $GNUMAKE to print the build instructions

diff --git a/set_soenv.in b/set_soenv.in
index b2d6bfd..414dae2 100755
--- a/set_soenv.in
+++ b/set_soenv.in
@@ -86,7 +86,7 @@ my ( $oldPATH, $SRC_ROOT, $SO_HOME, $JAVA_HOME, $JDK, $JAVAFLAGS, $OOO_SHELL,
      $USE_DIRECTX5, $ATL_LIB, $ATL_INCLUDE, $MFC_LIB, $MFC_INCLUDE, $TMPDIR,
      $COMMON_BUILD_TOOLS, $WIN_GREP, $WIN_FIND, $WIN_LS,
      $WIN_GNUCOPY, $WIN_TOUCH, $MOZILLA_VERSION, $MOZILLA_TOOLKIT, $PREBUILD_MOZAB, $MOZILLABUILD,
-	 $PROEXT, $TARFILE_LOCATION,
+     $PROEXT, $TARFILE_LOCATION, $GNUMAKE,
      $PYTHON, $SYSTEM_PYTHON, $SYSTEM_MOZILLA, $EPM_FLAGS);
 #
 #-------------------------------------------
@@ -135,6 +135,7 @@ $GLIBC          = "";               # Whether the platform uses glibc
 $PROEXT         = "@PROEXT@";
 $EPM_FLAGS	= "";
 $CL_X64 = '@CL_X64@';
+$GNUMAKE        = "@GNUMAKE@";
 
 #
 #--------------------------------------------------------------------
@@ -2191,10 +2192,10 @@ if ( $Warning ne "" )
 print "*********************************************************".
       "******************* $newline";
 
-print "To build, issue:\nmake\n\n";
-print "To install when the build is finished, issue:\nmake install\n\n";
-print "If you want to develop LibreOffice, you might prefer:\nmake dev-install\n\n";
-print "If you want to run the smoketest, issue:\nmake check\n\n";
+print "To build, issue:\n$GNUMAKE\n\n";
+print "To install when the build is finished, issue:\n$GNUMAKE install\n\n";
+print "If you want to develop LibreOffice, you might prefer:\n$GNUMAKE dev-install\n\n";
+print "If you want to run the smoketest, issue:\n$GNUMAKE check\n\n";
 
 $bootfile = "bootstrap";
 open( OUT, ">$bootfile" ) ||


More information about the Libreoffice-commits mailing list